View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18318Bug reportsImport/Exportpublic2023-01-30 13:04
ReporterJmantysalo Assigned Toc_schmitz  
PrioritynormalSeveritytrivial 
Status feedbackResolutionreopened 
Product Version5.3.x 
Summary18318: Empty line at the end of csv export
Description

CSV-export of responses contains an empty line at the end. (And yes, I noticed this when trying an automatic processing of the file.)

.lsa attached for testing.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.3.32+220817
I will donate to the project if issue is resolvedNo
Browser
Database type & versionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Jmantysalo

Jmantysalo

2022-08-18 12:32

reporter  

gabrieljenik

gabrieljenik

2023-01-30 12:50

manager   ~73599

That empty line at end of line seems was addes on purpose by @c_schmitz here to enhance excel compatibility
https://github.com/LimeSurvey/LimeSurvey/commit/1174354b35d7b0480f66dde23be6da08bc0366d9

I believe it is better to not remove them.
Of course, feel free to reopen it if you feel this should be further explored.

Thanks

c_schmitz

c_schmitz

2023-01-30 12:59

administrator   ~73600

@gabrieljenik

Not exactly true. I did not add that line.
I think the line can be removed, but need to test with R, because according to the comments it is the only reason it exists "for R compatibility".

gabrieljenik

gabrieljenik

2023-01-30 13:04

manager   ~73601

Oops, my bad... I was saying that following the commit message :)

Who can test with R?

Issue History

Date Modified Username Field Change
2022-08-18 12:32 Jmantysalo New Issue
2022-08-18 12:32 Jmantysalo File Added: survey_archive_923716.lsa
2022-08-22 11:55 ollehar Priority none => normal
2023-01-19 13:52 gabrieljenik Status new => acknowledged
2023-01-24 20:30 gabrieljenik Assigned To => gabrieljenik
2023-01-24 20:30 gabrieljenik Status acknowledged => assigned
2023-01-30 12:50 gabrieljenik Assigned To gabrieljenik =>
2023-01-30 12:50 gabrieljenik Status assigned => closed
2023-01-30 12:50 gabrieljenik Resolution open => no change required
2023-01-30 12:50 gabrieljenik Note Added: 73599
2023-01-30 12:50 gabrieljenik Bug heat 0 => 2
2023-01-30 12:59 c_schmitz Note Added: 73600
2023-01-30 12:59 c_schmitz Bug heat 2 => 4
2023-01-30 13:00 c_schmitz Assigned To => c_schmitz
2023-01-30 13:00 c_schmitz Status closed => feedback
2023-01-30 13:00 c_schmitz Resolution no change required => reopened
2023-01-30 13:04 gabrieljenik Note Added: 73601